
TYPO3.Flow - Bug # 40003

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Reflection
Created: 2012-08-20 Assigned To: Karsten Dambekalns
Updated: 2012-09-20 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: FLOW3 not working on PHP 5.3.16
Description

The fix for https://bugs.php.net/62715 landed in PHP 5.3.16, and because of https://bugs.php.net/62874 reflection fails (in Production
context) with a pretty unhelpful exception:

Fatal error: Uncaught exception … with message 'Parameter is not optional' in …

Associated revisions
Revision 2dbfd8fe - 2012-08-20 17:13 - Karsten Dambekalns

[BUGFIX] Fix reflection on PHP 5.3.16

The fix for https://bugs.php.net/62715 landed in PHP 5.3.16, and because of
https://bugs.php.net/62874 reflection fails (in Production context) with a
pretty unhelpful exception:

Fatal error: Uncaught exception … with message 'Parameter is not optional' in …

This change adds an additional check with isOptional() to the relevant code
part.

Change-Id: Ib7e763340f51fcd2d4f41291a4b8b80c33459d6b
Fixes: #40003
Releases: 1.1, 1.2

Revision 28c82ae2 - 2012-08-21 10:01 - Karsten Dambekalns

[BUGFIX] Fix reflection on PHP 5.3.16

The fix for https://bugs.php.net/62715 landed in PHP 5.3.16, and because of
https://bugs.php.net/62874 reflection fails (in Production context) with a
pretty unhelpful exception:

Fatal error: Uncaught exception … with message 'Parameter is not optional' in …

This change adds an additional check with isOptional() to the relevant code
part.

Change-Id: Ib7e763340f51fcd2d4f41291a4b8b80c33459d6b
Fixes: #40003
Releases: 1.1, 1.2
History
#1 - 2012-08-20 17:05 - Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-08-20 17:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13971

#3 - 2012-08-21 09:47 - Karsten Dambekalns

Ok, the bug will be fixed again in 5.3.17. Sigh.

#4 - 2012-08-21 09:59 - Karsten Dambekalns

Discussed with Robert and we'll simply go for the additional isOptional() check, because (although we could) we never supported optional parameters
followed by non-optional parameters.

#5 - 2012-08-21 10:01 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13983

#6 - 2012-08-21 10:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:28c82ae23d90b17f6514b0cd93fae17dd7bc0dc7.

#7 - 2012-09-20 17:39 - Thomas Deinhamer

I'm experiencing the same problem on Extbase in TYPO 4.5.19;
will this fix be merged into Extbase as well?
